// Generate By EToy
// Don't Edit It!!

using XGame.Framework.Serialization;
namespace XGame.Database
{
    /// <summary>
    /// 2维坐标，默认浮点数*1000
    /// </summary>
    public sealed class Vec2 : ISerializable
    {
        public int X { get; private set; }
        public int Y { get; private set; }

        void ISerializable.Deserialize(IReader reader)
        {
            X = reader.ReadInt();
            Y = reader.ReadInt();
        }

        void ISerializable.Serialize(IWriter writer)
        {
            writer.Write(X);
            writer.Write(Y);
        }
    }
}
